//
// Immeuble.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class Immeuble: JSONEncodable {
    public var id: Int32?
    public var adresse: String?
    public var latitude: String?
    public var longitude: String?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["id"] = self.id?.encodeToJSON()
        nillableDictionary["adresse"] = self.adresse
        nillableDictionary["latitude"] = self.latitude
        nillableDictionary["longitude"] = self.longitude
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
